/** File Event.java
* Classe Java che implementa 
* un evento.
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

public class Event
{
   private boolean happened = false;
   
   public synchronized boolean Happened()
   {
      return happened;
   }
   
   public synchronized void waitEvent() 
   {
      while(!happened) 
         try
         {
            wait();
         }
         catch(InterruptedException e){};
   }

   public synchronized void Happen()
   {
      happened = true ;
      notifyAll();
   }
   
   public synchronized void Reset()
   {
      happened = false;
      notifyAll();
   }
   
} // Event
