/** File FakeData.java
* Interfaccia Java che descrive 
* un elemento fasullo che funge da segnaposto 
* nelle liste del server.
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

import java.io.*;

public class FakeData implements ICacheElem 
{
   private ITag tag = null;
   
   public ITag getTag() { return tag; } 
   public String toString() { return ""; }
   
   public int writeImage(DataOutputStream dataout)
   { return 0; }
   
   public FakeData( ITag tag )
   { this.tag = tag; }
   
} // FakeData

