/** File ICacheDataLoader.java
* Interfaccia Java che descrive 
* i metodi per caricare i dati della cache da uno stream.
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

import java.io.*;

public interface ICacheDataLoader extends ICacheDataUpdater
{
   public ITag readTag( DataInputStream datain ) throws IOException;
   public IUpdateElem readUpdateElem( DataInputStream datain ) throws IOException;
   public ICacheElem readCacheElem( DataInputStream datain ) throws IOException;

} // ICacheDataLoader
 