/** File ILispBase.java
* Interfaccia Java che descrive un ADT generico
* modellato sul LISP
@author Claudio Forlivesi
@version 1.0, 6/11/1999 
*/

public interface ILispBase 
{
	public boolean isNull();
	public boolean isEqual(ILispBase dat);
	public boolean isLess(ILispBase dat);
	public boolean isSimple();
	public boolean isCompound();
	public boolean isList();
	public ILispBase car();
	public ILispBase cdr();
	public String toSimpleString();
	
} // ILispBase

	