/** File LispNil.java
* Classe Java che modella un ADT generico
* modellato sul LISP per descrivere un oggetto nullo
@author Claudio Forlivesi
@version 1.0, 6/11/1999 
*/

public class LispNil extends LispSimple 
{
	public boolean isNull() { return true ; }
	public boolean isEqual(ILispBase dat) { return (dat instanceof LispNil) ; }
	public boolean isLess(ILispBase dat) { return ( dat instanceof LispSimple ) && (!( dat instanceof LispNil )) ; }
	public ILispBase car() { return this ; }
	public ILispBase cdr() { return this ; }
	public String toSimpleString() { return "" ; }
	public String toString() { return "nil" ; }
	
} // LispNil

	

	