/** File UnknownTypeException.java
* Eccezione Java che avviene se un operazione
* di lettura da rete o disco incontra un tipo 
* di dato sconosciuto.
@author Claudio Forlivesi
@version 1.0, 9/12/1999 
*/

import java.io.IOException;

public class UnknownTypeException extends java.io.IOException
{
   protected UnknownTypeException(String type, short code)
   {
      super("Unknown " + type + 
            " Type Read Error. Returned code = " +
            Integer.toString(code, 16).toUpperCase() );
   }
}   // UnknownTypeException




