/** File CacheConsistencyLogic.java
* Classe astratta Java che implementa 
* i metodi per garantire la consistenza
* dei dati della cache 
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

public abstract class CacheConsistencyLogic implements ICacheDataUpdater
{
   public abstract ICacheElem updateIsCorrect( ICacheElem oldelem, IUpdateElem news ) 
                                          throws InconsistentUpdateException;

} // CacheConsistencyLogic
 
