/** File CacheMag.java
* Classe Java che implementa 
* una cache vista da un client
* per la gestione di un magazzino
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

import java.io.*;
import java.net.*;
import java.util.*;

public class CacheMag extends Cache
{
   public CacheMag(String name,
                   long cacheID,
                   int size,
                   String server_logic_addr,
                   int serverport) throws IOException
   {
      super(name, cacheID, size, server_logic_addr, serverport);
   }
   
   protected CacheCLMDNR createConsistencyLogic()
   {
      return new MagController();
   }
}
