/** File ICache.java
* Interfaccia Java che descrive 
* una cache vista da un client.
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

public interface ICache
{
   public ICacheElem readLocal( ITag tag ) throws 
                                           NotInCacheException;
   public ICacheElem read( ITag tag, boolean cacheit ) throws CacheException;
                                      //LinefillMissException,
                                      //ServerDownException,
                                      //LinefillHaltedException,
                                      //ServerPermissionException;
   public void write( ICacheElem elem, boolean forceWT ) throws CacheException;
                                        //NackWriteException,
                                        //ServerDownException,
                                        //ServerPermissionException;
   public void update( IUpdateElem news, boolean forceWT ) throws CacheException;
                                        //InconsistentUpdateException,
                                        //NackWriteException,
                                        //ServerDownException,
                                        //ServerPermissionException;
   public void flush() throws CacheException;
                       //NackWriteException,
                       //ServerDownException,
                       //ServerPermissionException;
                       
   public String toString();
   
   public void closeSession();

} // ICache

