/** File InconsistentUpdateException.java
* Eccezione Java che avviene se 
* un update non  consentito perch inconsistente.
@author Claudio Forlivesi
@version 1.0, 9/12/1999 
*/

public class InconsistentUpdateException extends CacheException
{
   public InconsistentUpdateException(ICacheElem elem, IUpdateElem upd)
   {
      super("Eccezione! L'aggiornamento del dato "+ elem +
            " al valore "+ upd +"  inconsistente.");
   }

   public InconsistentUpdateException(ITag tag, IUpdateElem upd)
   {
      super("Eccezione! L'aggiornamento del dato "+ tag +
            " al valore "+ upd +"  inconsistente.");
   }
   
   public InconsistentUpdateException(String explanation)
   {
      super(explanation);
   }

}   // InconsistentUpdateException



