/** File LispBase.java
* Classe astratta Java che modella un ADT generico
* modellato sul LISP
@author Claudio Forlivesi
@version 1.0, 6/11/1999 
*/

public abstract class LispBase implements ILispBase
{
	public abstract boolean isNull();
	public abstract boolean isEqual(ILispBase dat);
	public abstract boolean isLess(ILispBase dat);
	public abstract boolean isSimple();
	public abstract boolean isCompound();
	public abstract boolean isList();
	public abstract ILispBase car();
	public abstract ILispBase cdr();
	public abstract String toSimpleString();
	
} // LispBase

	
