/** File MagConstants.java
* Classe Java che definisce le 
* costanti con cui un magazzino ha a che fare
@author Claudio Forlivesi
@version 1.0, 15/2/2000 
*/

public class MagConstants
{
   // type identifiers
   public static final short MAGTAG = 1;
   public static final short DESCRTAG = 2;
   public static final short MATDESCR = 3;
   public static final short STOREDMAT = 4;
   public static final short UPDATEOP = 0x3F00;
   
   // lunghezza di un codice di materiale: n.ro chars
   public static final int MAT_CODE_LEN = 8;
   
   // operazioni di aggiornamento
   public static final short NEWCOST = UPDATEOP | 1;
   public static final short ADDCOST = UPDATEOP | 2;
   public static final short SUBCOST = UPDATEOP | 3;
   public static final short COSTOP = SUBCOST|ADDCOST|NEWCOST;
   public static final short NEWQUANTITY = UPDATEOP | 4;
   public static final short ADDQUANTITY = UPDATEOP | 8;
   public static final short SUBQUANTITY = UPDATEOP | 12;
   public static final short QUANTITYOP = SUBQUANTITY|ADDQUANTITY|NEWQUANTITY;
   
}
